petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscObjectOptionsBegin

Begins a set of queries on the options database that are related and should be displayed on the same window of a GUI that allows the user to set the options interactively.

### Synopsis

    #include <petscoptions.h>
    PetscErrorCode PetscObjectOptionsBegin(PetscObject obj)

Collective on PetscObject

### Input Parameters

obj -object to set options for

Notes: Needs to be ended by a call the PetscOptionsEnd() Can add subheadings with PetscOptionsHead()

### See Also

PetscOptionsGetReal(), PetscOptionsHasName(), PetscOptionsGetString(), PetscOptionsGetInt(),
PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool() PetscOptionsInt(), PetscOptionsString(), PetscOptionsReal(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

Level:intermediate
Location:src/sys/objects/../../../include/petscoptions.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages